Skip to main content
POST
/
v1
/
items
/
{item_id}
/
tags
curl -X POST https://api.getmatter.com/public/v1/items/itm_r9f3a/tags \
  -H "Authorization: Bearer mat_your_token_here" \
  -H "Content-Type: application/json" \
  -d '{"name": "essays"}'
{
  "object": "tag",
  "id": "tag_n5j2x",
  "name": "essays",
  "item_count": 43,
  "created_at": "2025-01-15T10:00:00Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.getmatter.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

item_id
string
required
The item ID. Example: itm_r9f3a.

Body Parameters

name
string
required
The tag name. Case-insensitive. If a tag with this name already exists, it will be reused.

Response

Returns the tag with status 201 if newly created, or 200 if the tag was already on this item.
curl -X POST https://api.getmatter.com/public/v1/items/itm_r9f3a/tags \
  -H "Authorization: Bearer mat_your_token_here" \
  -H "Content-Type: application/json" \
  -d '{"name": "essays"}'
{
  "object": "tag",
  "id": "tag_n5j2x",
  "name": "essays",
  "item_count": 43,
  "created_at": "2025-01-15T10:00:00Z"
}